### lsearch Commandes Internes Tcl

NOM
lsearch - Recherche un élément particulier dans une liste.
SYNTAXE
lsearch ?mode? list pattern
DESCRIPTION
Cette commande recherche les éléments de list pour voir si l'un d'eux correspond à pattern. Si c'est le cas, la commande retourne l'index du premier élément correspondant. Sinon, la commande retourne -1. L'argument mode indique comment les éléments de la liste doivent correspondre à pattern et il doit avoir une des valeurs suivantes:

-exact
  L'élément de la liste doit contenir exactement la même chaîne que pattern.
-glob
  Pattern est un modèle glob-style qui est comparé à chaque élément de liste en utilisant les même règles que la commande string match .
-regexp
  Pattern est traité comme un expression rationelle et comparé à chaque élément de laliste en utilisant les règles décrites dans la page de référence re_syntax.

Si mode est omis alors il est par défaut de -glob
Dernière révision: 7.0
Index Précédent Suivant